View Issue Details

IDProjectCategoryView StatusLast Update
0000303FreeCADFeaturepublic2013-01-03 13:30
Reporterunauthenticated Assigned Tomrlukeparry  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000303: Draft feature in Part Design
DescriptionI think FC should have "Draft Feature" (like this http://www.frotime.com/tutorials/solid_modeling/simple_draft_features.aspx). "Draft Feature" is very important in castings or forgings.
Cheers, Kwahoo
TagsNo tags attached.
FreeCAD Information

Relationships

child of 0000277 closedJriegel Further Development in PartDesign 

Activities

pperisin

2011-03-08 14:13

reporter   ~0000707

Last edited: 2011-03-08 14:20

Hi,

Your link gives 404 error. It is probably available only to subscribers

Regards
Petar Perisin

unauthenticated

2011-03-08 19:31

viewer   ~0000708

Should be http://www.frotime.com/tutorials/solid_modeling/simple_draft_features.aspx (without bracket)

Jriegel

2011-03-10 16:20

administrator   ~0000721

make sense, have to look what cascade have in order for that.

mrlukeparry

2011-09-17 18:26

developer   ~0001123

I have implemented this and have included a patch. It's nearly functional, however it still needs a fix on the mirrored extent and draft up to surface (there is no easy way to select the surface) but I am waiting for a way to show a preview of the pad...

This we can also include for the pocket aswell, as it is very similar.

This is best left for 0.13 release.

Jriegel

2011-09-19 15:18

administrator   ~0001126

were is the patch?

mrlukeparry

2011-09-20 07:22

developer   ~0001127

It's on the developer disucssion some way back in the part design topic. I will have permanent internet on Thursday. I will get a fresh copy of free-cad from SVN and provide a fresh patch for you to try.

For an actual draft tool that modifies 3d geometry, opencascade does have a draft feature where you can have a selection of faces, a neutral plane and specify a draft angle. It should be straight forward to create. Like before, I need a way to visualise the selection and a preview.

wmayer

2012-12-04 11:30

administrator   ~0002608

In master there is now a draft feature.

mrlukeparry

2013-01-03 13:30

developer   ~0002789

A Draft Feature is now included as a tool within Part Design.

Issue History

Date Modified Username Field Change
2011-03-08 07:57 unauthenticated New Issue
2011-03-08 14:13 pperisin Note Added: 0000707
2011-03-08 14:20 pperisin Note Edited: 0000707
2011-03-08 19:31 unauthenticated Note Added: 0000708
2011-03-10 16:16 Jriegel Status new => assigned
2011-03-10 16:16 Jriegel Assigned To => Jriegel
2011-03-10 16:17 Jriegel Relationship added child of 0000277
2011-03-10 16:17 Jriegel Target Version => 0.12
2011-03-10 16:20 Jriegel Note Added: 0000721
2011-09-16 05:09 Jriegel Target Version 0.12 => 0.13
2011-09-17 18:26 mrlukeparry Note Added: 0001123
2011-09-19 15:18 Jriegel Note Added: 0001126
2011-09-20 07:22 mrlukeparry Note Added: 0001127
2012-10-18 14:34 mrlukeparry Assigned To Jriegel => mrlukeparry
2012-12-04 11:30 wmayer Note Added: 0002608
2013-01-03 13:30 mrlukeparry Note Added: 0002789
2013-01-03 13:30 mrlukeparry Status assigned => closed
2013-01-03 13:30 mrlukeparry Resolution open => fixed
2013-01-03 13:30 mrlukeparry Fixed in Version => 0.13